	.h8300h
	.section .text
        
        .global	_PROG_DELAY
        .global	_PROG_VERIFY_DELAY
        .global	_ERASE_DELAY
       	.global _ERASE_VERIFY_DELAY
        .global _SETTLE_DELAY
        
        	
_SETTLE_DELAY:
	MOV.W   #8,r0               ; SET UP TIMER
SETDEL:  DEC.W   #1,r0                ; DECREMENT TIMER
        MOV.W   r0,r0
        BNE     SETDEL:8               ; IF NOT FINISHED THEN DO AGAIN
        RTS

_ERASE_VERIFY_DELAY:
	MOV.W   #7,r0               ; SET UP TIMER
ERVDEL:  DEC.W   #1,r0                ; DECREMENT TIMER
        MOV.W   r0,r0
        BNE     ERVDEL:8               ; IF NOT FINISHED THEN DO AGAIN
        RTS

_PROG_VERIFY_DELAY:
	MOV.W   #7,r0               ; SET UP TIMER
PRVDEL:  DEC.W   #1,r0                ; DECREMENT TIMER
        MOV.W   r0,r0
        BNE     PRVDEL:8               ; IF NOT FINISHED THEN DO AGAIN
        RTS

; PROG_DELAY MODIFIED 28/5/97
_PROG_DELAY:
	MOV.W   #30,r0               ; SET UP TIMER
PRGDEL:  DEC.W   #1,r0                ; DECREMENT TIMER
        MOV.W   r0,r0
        BNE     PRGDEL:8               ; IF NOT FINISHED THEN DO AGAIN
        RTS


; manual states initial time of 6.25ms
_ERASE_DELAY:
	MOV.W   #6250,r0               ; SET UP TIMER
ERADEL:  NOP
	NOP
	NOP
	NOP
        DEC.W   #1,r0                ; DECREMENT TIMER
        MOV.W   r0,r0
        BNE     ERADEL:8               ; IF NOT FINISHED THEN DO AGAIN
        RTS
