#ifndef _INTRINS_INCLUDED
#define _INTRINS_INCLUDED

void sleep(void);
#define sleep() asm("sleep")

void no_operation(void);

unsigned char read_e_port(unsigned char *);

void write_e_port(unsigned char *, unsigned char);

void do_byte_eepmov(unsigned char*, unsigned char*, unsigned char);

void do_word_eepmov(unsigned char*, unsigned char*, unsigned short);

unsigned char read_ccr(void);

void write_ccr(unsigned char);

#define and_ccr(msk) asm("andc %0,ccr"::"i" (msk))

#define or_ccr(msk) asm("orc %0,ccr"::"i" (msk))

void xor_ccr(unsigned char);

void *func_stack_base(void);

void disable_max_time(unsigned long);

void _opc(unsigned short);

#if __TID__ & 0x8000
#pragma function=default
#endif

#endif
